package xyz.leomurca.csgomatches.data.model

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable
import xyz.leomurca.csgomatches.data.model.serializer.ZonedDateTimeSerializer
import java.time.ZonedDateTime

@Serializable
data class MatchDto(
    @Serializable(with = ZonedDateTimeSerializer::class)
    @SerialName("begin_at")
    val beginAt: ZonedDateTime?,
    val opponents: List<OpponentDto>,
    val league: LeagueDto,
    val serie: SerieDto,
    val status: String?
)



