package xyz.leomurca.csgomatches.data.source

import xyz.leomurca.csgomatches.data.model.MatchDto
import xyz.leomurca.csgomatches.data.model.TeamDetailsDto
import xyz.leomurca.csgomatches.domain.model.Resource

interface MatchDataSource {
    suspend fun upcomingMatches(page: Int): Resource<List<MatchDto>>
    suspend fun teamDetails(teamId: String): Resource<List<TeamDetailsDto>>
}