package xyz.leomurca.csgomatches.data.model

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class OpponentDto(
    val type: String?,
    val opponent: OpponentRecord
)

@Serializable
data class OpponentRecord(
    val id: Long,
    val name: String?,
    @SerialName("image_url")
    val imageUrl: String?
)
